discuss@lists.openscad.org

OpenSCAD general discussion Mailing-list

View all threads

how to round/soften top edges

BR
Bob Roos
Thu, Nov 30, 2023 1:54 AM

Hello ,

I would like to soften the top inner and outer edges on this figure.  I don't need much.  I just wanted to get rid of the edge.

Thank you

Bob Roos

include <BOSL2/std.scad> //or screws or threading

Wo=34;
Lo=60;
Wi=23;
Li=34;
H=10;
Ro = 8;
Ri = 3;
T=1.4;
Off = 2.0;

difference(){
union(){
rect_tube(size=[Wo,Lo], wall=(Wo-Wi)/2, rounding=Ro, h=H,irounding=3);
rect_tube(size=[Wo,Lo-(Wo-Wi)/2], wall=(Wo-Wi)/2, rounding=Ro, h=H,irounding=3);
}
rect_tube(size=[Wo-T,Lo-T], wall=(Wo-Wi)/2-T,h=H-T,irounding=3, rounding=Ro);
#rect_tube(size=[Wo-T2,Lo-T2], wall=(Wo-Wi)/2-T,h=Off,irounding=3, rounding=Ro);
up(Off/2)cuboid([Wo-6T,Lo-6T,Off]);
}

--
Best regards,
Bob                          mailto:roosbob@wybatap.com

Hello , I would like to soften the top inner and outer edges on this figure. I don't need much. I just wanted to get rid of the edge. Thank you Bob Roos include <BOSL2/std.scad> //or screws or threading Wo=34; Lo=60; Wi=23; Li=34; H=10; Ro = 8; Ri = 3; T=1.4; Off = 2.0; difference(){ union(){ rect_tube(size=[Wo,Lo], wall=(Wo-Wi)/2, rounding=Ro, h=H,irounding=3); rect_tube(size=[Wo,Lo-(Wo-Wi)/2], wall=(Wo-Wi)/2, rounding=Ro, h=H,irounding=3); } rect_tube(size=[Wo-T,Lo-T], wall=(Wo-Wi)/2-T,h=H-T,irounding=3, rounding=Ro); #rect_tube(size=[Wo-T*2,Lo-T*2], wall=(Wo-Wi)/2-T,h=Off,irounding=3, rounding=Ro); up(Off/2)cuboid([Wo-6*T,Lo-6*T,Off]); } -- Best regards, Bob mailto:roosbob@wybatap.com
MP
Marcus Poller
Thu, Nov 30, 2023 10:10 AM

Hi Bob,

I would like to soften the top inner and outer edges on this figure.

[Aproximation in words] Looks like a stencil for cookies. The cut cookie would look like a picture frame with rounded corners.

I don't need much.  I just wanted to get rid of the edge.

Let's discuss your options before choosing either:

(1) The general approach to softening 3d shapes is

minkowski()

and it is veeery calculation intense, especially for generic cases (substract, minkowski, substract, minkowski).
https://en.wikibooks.org/wiki/OpenSCAD_User_Manual/Transformations#minkowski

The not so generic case for your model would be:

(1a) scad the cut-out
(1b) minkowski the cut-out
(1c) scad the outer shape
(1d) minkowski the outer shape
(1e) cut-out the inner shape from the outer shape.

(2) There is a 2d-projection that makes up your shape. Model this in 2d using

  ____
 / __ \
/ /  \ \
| |  | |
\_/  \_/

Is my understanding ouf your desired shape correct?
You could use this 2D-shape and linear_extrude and rotate_extrude to create a 3D-rectangle.

Does any of the approaches suit you?

Cheers,
Marcus

Hi Bob, > I would like to soften the top inner and outer edges on this figure. [Aproximation in words] Looks like a stencil for cookies. The cut cookie would look like a picture frame with rounded corners. > I don't need much. I just wanted to get rid of the edge. Let's discuss your options before choosing either: (1) The general approach to softening 3d shapes is minkowski() and it is veeery calculation intense, especially for generic cases (substract, minkowski, substract, minkowski). https://en.wikibooks.org/wiki/OpenSCAD_User_Manual/Transformations#minkowski The not so generic case for your model would be: (1a) scad the cut-out (1b) minkowski the cut-out (1c) scad the outer shape (1d) minkowski the outer shape (1e) cut-out the inner shape from the outer shape. (2) There is a 2d-projection that makes up your shape. Model this in 2d using ____ / __ \ / / \ \ | | | | \_/ \_/ Is my understanding ouf your desired shape correct? You could use this 2D-shape and linear_extrude and rotate_extrude to create a 3D-rectangle. Does any of the approaches suit you? Cheers, Marcus
P
pproj@posteo.de
Thu, Nov 30, 2023 10:36 AM

Hello Bob,
constructive lib is really a good help here.
because it does extrusions under hood, it is simpler and  faster than
anythng minkowskij by many orders of magnitutde .( making is actually
possible to work with for me)
the code ist like this:

include <constructive-compiled.scad>

chamfer(4,-2) tube(d=10,h=20,wall=2.5);

--constructive/tutorials/basic-tutorial.md at main ·
solidboredom/constructive · GitHub
--https://github.com/solidboredom/constructive/blob/main/tutorials/basic-tutorial.md

Peter

On 30.11.23 11:10, Marcus Poller via Discuss wrote:

Hi Bob,

I would like to soften the top inner and outer edges on this figure.

[Aproximation in words] Looks like a stencil for cookies. The cut cookie would look like a picture frame with rounded corners.

I don't need much.  I just wanted to get rid of the edge.

Let's discuss your options before choosing either:

(1) The general approach to softening 3d shapes is

  minkowski()

and it is veeery calculation intense, especially for generic cases (substract, minkowski, substract, minkowski).
https://en.wikibooks.org/wiki/OpenSCAD_User_Manual/Transformations#minkowski

The not so generic case for your model would be:

(1a) scad the cut-out
(1b) minkowski the cut-out
(1c) scad the outer shape
(1d) minkowski the outer shape
(1e) cut-out the inner shape from the outer shape.

(2) There is a 2d-projection that makes up your shape. Model this in 2d using

    ____
   / __ \
  / /  \ \
  | |  | |
  \_/  \_/

Is my understanding ouf your desired shape correct?
You could use this 2D-shape and linear_extrude and rotate_extrude to create a 3D-rectangle.

Does any of the approaches suit you?

Cheers,
Marcus


OpenSCAD mailing list
To unsubscribe send an email todiscuss-leave@lists.openscad.org

Hello Bob, constructive lib is really a good help here. because it does extrusions under hood, it is simpler and  faster than anythng minkowskij by many orders of magnitutde .( making is actually possible to work with for me) the code ist like this: include <constructive-compiled.scad> chamfer(4,-2) tube(d=10,h=20,wall=2.5); --constructive/tutorials/basic-tutorial.md at main · solidboredom/constructive · GitHub --https://github.com/solidboredom/constructive/blob/main/tutorials/basic-tutorial.md Peter On 30.11.23 11:10, Marcus Poller via Discuss wrote: > Hi Bob, > >> I would like to soften the top inner and outer edges on this figure. > [Aproximation in words] Looks like a stencil for cookies. The cut cookie would look like a picture frame with rounded corners. > >> I don't need much. I just wanted to get rid of the edge. > Let's discuss your options before choosing either: > > (1) The general approach to softening 3d shapes is > > minkowski() > > and it is veeery calculation intense, especially for generic cases (substract, minkowski, substract, minkowski). > https://en.wikibooks.org/wiki/OpenSCAD_User_Manual/Transformations#minkowski > > The not so generic case for your model would be: > > (1a) scad the cut-out > (1b) minkowski the cut-out > (1c) scad the outer shape > (1d) minkowski the outer shape > (1e) cut-out the inner shape from the outer shape. > > (2) There is a 2d-projection that makes up your shape. Model this in 2d using > > ____ > / __ \ > / / \ \ > | | | | > \_/ \_/ > > Is my understanding ouf your desired shape correct? > You could use this 2D-shape and linear_extrude and rotate_extrude to create a 3D-rectangle. > > Does any of the approaches suit you? > > Cheers, > Marcus > _______________________________________________ > OpenSCAD mailing list > To unsubscribe send an email todiscuss-leave@lists.openscad.org
AM
Adrian Mariano
Thu, Nov 30, 2023 11:20 AM

You can do that using the offset_sweep() module in BOSL2.  You would need
to replace the rect_tube()'s with differences of offset_sweep() applied to
rect().

On Wed, Nov 29, 2023 at 8:55 PM Bob Roos via Discuss <
discuss@lists.openscad.org> wrote:

Hello ,

I would like to soften the top inner and outer edges on this figure.  I
don't need much.  I just wanted to get rid of the edge.

Thank you

Bob Roos

include <BOSL2/std.scad> //or screws or threading

Wo=34;
Lo=60;
Wi=23;
Li=34;
H=10;
Ro = 8;
Ri = 3;
T=1.4;
Off = 2.0;

difference(){
union(){
rect_tube(size=[Wo,Lo], wall=(Wo-Wi)/2, rounding=Ro, h=H,irounding=3);
rect_tube(size=[Wo,Lo-(Wo-Wi)/2], wall=(Wo-Wi)/2, rounding=Ro,
h=H,irounding=3);
}
rect_tube(size=[Wo-T,Lo-T], wall=(Wo-Wi)/2-T,h=H-T,irounding=3,
rounding=Ro);
#rect_tube(size=[Wo-T2,Lo-T2], wall=(Wo-Wi)/2-T,h=Off,irounding=3,
rounding=Ro);
up(Off/2)cuboid([Wo-6T,Lo-6T,Off]);
}

--
Best regards,
Bob                          mailto:roosbob@wybatap.com


OpenSCAD mailing list
To unsubscribe send an email to discuss-leave@lists.openscad.org

You can do that using the offset_sweep() module in BOSL2. You would need to replace the rect_tube()'s with differences of offset_sweep() applied to rect(). On Wed, Nov 29, 2023 at 8:55 PM Bob Roos via Discuss < discuss@lists.openscad.org> wrote: > Hello , > > I would like to soften the top inner and outer edges on this figure. I > don't need much. I just wanted to get rid of the edge. > > Thank you > > Bob Roos > > > include <BOSL2/std.scad> //or screws or threading > > Wo=34; > Lo=60; > Wi=23; > Li=34; > H=10; > Ro = 8; > Ri = 3; > T=1.4; > Off = 2.0; > > > difference(){ > union(){ > rect_tube(size=[Wo,Lo], wall=(Wo-Wi)/2, rounding=Ro, h=H,irounding=3); > rect_tube(size=[Wo,Lo-(Wo-Wi)/2], wall=(Wo-Wi)/2, rounding=Ro, > h=H,irounding=3); > } > rect_tube(size=[Wo-T,Lo-T], wall=(Wo-Wi)/2-T,h=H-T,irounding=3, > rounding=Ro); > #rect_tube(size=[Wo-T*2,Lo-T*2], wall=(Wo-Wi)/2-T,h=Off,irounding=3, > rounding=Ro); > up(Off/2)cuboid([Wo-6*T,Lo-6*T,Off]); > } > > -- > Best regards, > Bob mailto:roosbob@wybatap.com > _______________________________________________ > OpenSCAD mailing list > To unsubscribe send an email to discuss-leave@lists.openscad.org >
MP
Marcus Poller
Thu, Nov 30, 2023 11:20 AM

Hi Peter,

include <constructive-compiled.scad>

chamfer(4,-2) tube(d=10,h=20,wall=2.5);

I can't compile Bobs code after including <constructive-compiled.scad>; I get error messages of this

WARNING: Too many unnamed arguments supplied in file ../.local/share/OpenSCAD/libraries/BOSL2/attachments.scad, line 3274 

kind. I guess there is some naming ambiguities between BOSL and constructive-compiled;

Cheers,
Marcus

Hi Peter, > include <constructive-compiled.scad> > > chamfer(4,-2) tube(d=10,h=20,wall=2.5); I can't compile Bobs code after including <constructive-compiled.scad>; I get error messages of this WARNING: Too many unnamed arguments supplied in file ../.local/share/OpenSCAD/libraries/BOSL2/attachments.scad, line 3274 kind. I guess there is some naming ambiguities between BOSL and constructive-compiled; Cheers, Marcus
AM
Adrian Mariano
Thu, Nov 30, 2023 11:42 AM

Yeah, it seems unlikely there's any way to simultaneously use BOSL2 and
constructive-compiled.

Another strategy for making this in BOSL2 would be to make a U-shaped
2d-path and path extrude it along a rounded rect().

On Thu, Nov 30, 2023 at 6:26 AM Marcus Poller via Discuss <
discuss@lists.openscad.org> wrote:

Hi Peter,

include <constructive-compiled.scad>

chamfer(4,-2) tube(d=10,h=20,wall=2.5);

I can't compile Bobs code after including <constructive-compiled.scad>; I
get error messages of this

 WARNING: Too many unnamed arguments supplied in file

../.local/share/OpenSCAD/libraries/BOSL2/attachments.scad, line 3274

kind. I guess there is some naming ambiguities between BOSL and
constructive-compiled;

Cheers,
Marcus


OpenSCAD mailing list
To unsubscribe send an email to discuss-leave@lists.openscad.org

Yeah, it seems unlikely there's any way to simultaneously use BOSL2 and constructive-compiled. Another strategy for making this in BOSL2 would be to make a U-shaped 2d-path and path extrude it along a rounded rect(). On Thu, Nov 30, 2023 at 6:26 AM Marcus Poller via Discuss < discuss@lists.openscad.org> wrote: > Hi Peter, > > > include <constructive-compiled.scad> > > > > chamfer(4,-2) tube(d=10,h=20,wall=2.5); > > I can't compile Bobs code after including <constructive-compiled.scad>; I > get error messages of this > > WARNING: Too many unnamed arguments supplied in file > ../.local/share/OpenSCAD/libraries/BOSL2/attachments.scad, line 3274 > > kind. I guess there is some naming ambiguities between BOSL and > constructive-compiled; > > Cheers, > Marcus > _______________________________________________ > OpenSCAD mailing list > To unsubscribe send an email to discuss-leave@lists.openscad.org >
GS
Guenther Sohler
Thu, Nov 30, 2023 11:48 AM

Yet another strategy would be to use build123d (cadquery) inside openscad

With OpenCascade you can even create  filltets AFTER the object was already
defined.
This allows for more sophisticated designs and less strategy how to
describe objects correctly ...

https://imgur.com/a/KdZmaxG

On Thu, Nov 30, 2023 at 12:43 PM Adrian Mariano via Discuss <
discuss@lists.openscad.org> wrote:

Yeah, it seems unlikely there's any way to simultaneously use BOSL2 and
constructive-compiled.

Another strategy for making this in BOSL2 would be to make a U-shaped
2d-path and path extrude it along a rounded rect().

On Thu, Nov 30, 2023 at 6:26 AM Marcus Poller via Discuss <
discuss@lists.openscad.org> wrote:

Hi Peter,

include <constructive-compiled.scad>

chamfer(4,-2) tube(d=10,h=20,wall=2.5);

I can't compile Bobs code after including <constructive-compiled.scad>; I
get error messages of this

 WARNING: Too many unnamed arguments supplied in file

../.local/share/OpenSCAD/libraries/BOSL2/attachments.scad, line 3274

kind. I guess there is some naming ambiguities between BOSL and
constructive-compiled;

Cheers,
Marcus


OpenSCAD mailing list
To unsubscribe send an email to discuss-leave@lists.openscad.org


OpenSCAD mailing list
To unsubscribe send an email to discuss-leave@lists.openscad.org

Yet another strategy would be to use build123d (cadquery) inside openscad With OpenCascade you can even create filltets AFTER the object was already defined. This allows for more sophisticated designs and less strategy how to describe objects correctly ... https://imgur.com/a/KdZmaxG On Thu, Nov 30, 2023 at 12:43 PM Adrian Mariano via Discuss < discuss@lists.openscad.org> wrote: > Yeah, it seems unlikely there's any way to simultaneously use BOSL2 and > constructive-compiled. > > Another strategy for making this in BOSL2 would be to make a U-shaped > 2d-path and path extrude it along a rounded rect(). > > On Thu, Nov 30, 2023 at 6:26 AM Marcus Poller via Discuss < > discuss@lists.openscad.org> wrote: > >> Hi Peter, >> >> > include <constructive-compiled.scad> >> > >> > chamfer(4,-2) tube(d=10,h=20,wall=2.5); >> >> I can't compile Bobs code after including <constructive-compiled.scad>; I >> get error messages of this >> >> WARNING: Too many unnamed arguments supplied in file >> ../.local/share/OpenSCAD/libraries/BOSL2/attachments.scad, line 3274 >> >> kind. I guess there is some naming ambiguities between BOSL and >> constructive-compiled; >> >> Cheers, >> Marcus >> _______________________________________________ >> OpenSCAD mailing list >> To unsubscribe send an email to discuss-leave@lists.openscad.org >> > _______________________________________________ > OpenSCAD mailing list > To unsubscribe send an email to discuss-leave@lists.openscad.org >
P
pproj@posteo.de
Thu, Nov 30, 2023 12:19 PM

Yes it seems that the namesaces overlap.
here is a take on it using only constructive lib skin funtionality ( i
like your extrusion approach too)

include <../devlibs/constructive/constructive-all.scad>

Wo=34; Lo=60; Wi=23; Li=34; H=5; Ro = 8; Ri = 3; T=1.4;Off = 2.0;
$skinThick =1.4;

assemble() {
    addRemove(Z(margin(.1)),TODOWN(),height(skin(H)))
            chamfer(down=-1,up=-.15,side=-Ro,fnCorner=40)
                box(skin(Wo),skin(Lo));
}
i am not quite sure what bobs code was supposed to look like, so this is
only a first take.
more on skins in constructive here:
https://github.com/solidboredom/constructive/blob/main/tutorials/tutorial-partIII.md#easily-create-skins-with-skinsize0-skinthickskinthick-walls2-marginmargin
On 30.11.23 12:20, Marcus Poller wrote:

Hi Peter,

include <constructive-compiled.scad>

chamfer(4,-2) tube(d=10,h=20,wall=2.5);

I can't compile Bobs code after including <constructive-compiled.scad>; I get error messages of this

  WARNING: Too many unnamed arguments supplied in file ../.local/share/OpenSCAD/libraries/BOSL2/attachments.scad, line 3274

kind. I guess there is some naming ambiguities between BOSL and constructive-compiled;

Cheers,
Marcus

Yes it seems that the namesaces overlap. here is a take on it using only constructive lib skin funtionality ( i like your extrusion approach too) include <../devlibs/constructive/constructive-all.scad> Wo=34; Lo=60; Wi=23; Li=34; H=5; Ro = 8; Ri = 3; T=1.4;Off = 2.0; $skinThick =1.4; assemble() {     addRemove(Z(margin(.1)),TODOWN(),height(skin(H)))             chamfer(down=-1,up=-.15,side=-Ro,fnCorner=40)                 box(skin(Wo),skin(Lo)); } i am not quite sure what bobs code was supposed to look like, so this is only a first take. more on skins in constructive here: https://github.com/solidboredom/constructive/blob/main/tutorials/tutorial-partIII.md#easily-create-skins-with-skinsize0-skinthickskinthick-walls2-marginmargin On 30.11.23 12:20, Marcus Poller wrote: > Hi Peter, > >> include <constructive-compiled.scad> >> >> chamfer(4,-2) tube(d=10,h=20,wall=2.5); > I can't compile Bobs code after including <constructive-compiled.scad>; I get error messages of this > > WARNING: Too many unnamed arguments supplied in file ../.local/share/OpenSCAD/libraries/BOSL2/attachments.scad, line 3274 > > kind. I guess there is some naming ambiguities between BOSL and constructive-compiled; > > Cheers, > Marcus
P
pproj@posteo.de
Thu, Nov 30, 2023 12:24 PM

WOW!
using cadquery from openscad sound more than awesome
 how is build123 into openscad compiler?
I think there are tons of uses for it.

On 30.11.23 12:48, Guenther Sohler via Discuss wrote:

Yet another strategy would be to use build123d (cadquery) inside openscad

With OpenCascade you can even create  filltets AFTER the object was
already defined.
This allows for more sophisticated designs and less strategy how to
describe objects correctly ...

https://imgur.com/a/KdZmaxG

On Thu, Nov 30, 2023 at 12:43 PM Adrian Mariano via Discuss
discuss@lists.openscad.org wrote:

 Yeah, it seems unlikely there's any way to simultaneously use
 BOSL2 and constructive-compiled.

 Another strategy for making this in BOSL2 would be to make a
 U-shaped 2d-path and path extrude it along a rounded rect().

 On Thu, Nov 30, 2023 at 6:26 AM Marcus Poller via Discuss
 <discuss@lists.openscad.org> wrote:

     Hi Peter,

include <constructive-compiled.scad>

chamfer(4,-2) tube(d=10,h=20,wall=2.5);

     I can't compile Bobs code after including
     <constructive-compiled.scad>; I get error messages of this

         WARNING: Too many unnamed arguments supplied in file
     ../.local/share/OpenSCAD/libraries/BOSL2/attachments.scad,
     line 3274

     kind. I guess there is some naming ambiguities between BOSL
     and constructive-compiled;

     Cheers,
     Marcus
     _______________________________________________
     OpenSCAD mailing list
     To unsubscribe send an email to discuss-leave@lists.openscad.org

 _______________________________________________
 OpenSCAD mailing list
 To unsubscribe send an email to discuss-leave@lists.openscad.org

OpenSCAD mailing list
To unsubscribe send an email todiscuss-leave@lists.openscad.org

WOW! using cadquery from openscad sound more than awesome  how is build123 into openscad compiler? I think there are tons of uses for it. On 30.11.23 12:48, Guenther Sohler via Discuss wrote: > Yet another strategy would be to use build123d (cadquery) inside openscad > > With OpenCascade you can even create  filltets AFTER the object was > already defined. > This allows for more sophisticated designs and less strategy how to > describe objects correctly ... > > https://imgur.com/a/KdZmaxG > > > > > On Thu, Nov 30, 2023 at 12:43 PM Adrian Mariano via Discuss > <discuss@lists.openscad.org> wrote: > > Yeah, it seems unlikely there's any way to simultaneously use > BOSL2 and constructive-compiled. > > Another strategy for making this in BOSL2 would be to make a > U-shaped 2d-path and path extrude it along a rounded rect(). > > On Thu, Nov 30, 2023 at 6:26 AM Marcus Poller via Discuss > <discuss@lists.openscad.org> wrote: > > Hi Peter, > > > include <constructive-compiled.scad> > > > > chamfer(4,-2) tube(d=10,h=20,wall=2.5); > > I can't compile Bobs code after including > <constructive-compiled.scad>; I get error messages of this > >     WARNING: Too many unnamed arguments supplied in file > ../.local/share/OpenSCAD/libraries/BOSL2/attachments.scad, > line 3274 > > kind. I guess there is some naming ambiguities between BOSL > and constructive-compiled; > > Cheers, > Marcus > _______________________________________________ > OpenSCAD mailing list > To unsubscribe send an email to discuss-leave@lists.openscad.org > > _______________________________________________ > OpenSCAD mailing list > To unsubscribe send an email to discuss-leave@lists.openscad.org > > > _______________________________________________ > OpenSCAD mailing list > To unsubscribe send an email todiscuss-leave@lists.openscad.org
GS
Guenther Sohler
Thu, Nov 30, 2023 12:37 PM

It's  not difficult at all, once openscad can do python.

Having this ability it's just a matter of installing the buidl123d
python-pip package and using it inside the openscad source window.

(of course there were few other problems, but they are already cleared in
my side)

right now preparing an installation package and testing, how this works in
windows ...

On Thu, Nov 30, 2023 at 1:24 PM pproj--- via Discuss <
discuss@lists.openscad.org> wrote:

WOW!
using cadquery from openscad sound more than awesome
how is build123 into openscad compiler?
I think there are tons of uses for it.

On 30.11.23 12:48, Guenther Sohler via Discuss wrote:

Yet another strategy would be to use build123d (cadquery) inside openscad

With OpenCascade you can even create  filltets AFTER the object was
already defined.
This allows for more sophisticated designs and less strategy how to
describe objects correctly ...

https://imgur.com/a/KdZmaxG

On Thu, Nov 30, 2023 at 12:43 PM Adrian Mariano via Discuss <
discuss@lists.openscad.org> wrote:

Yeah, it seems unlikely there's any way to simultaneously use BOSL2 and
constructive-compiled.

Another strategy for making this in BOSL2 would be to make a U-shaped
2d-path and path extrude it along a rounded rect().

On Thu, Nov 30, 2023 at 6:26 AM Marcus Poller via Discuss <
discuss@lists.openscad.org> wrote:

Hi Peter,

include <constructive-compiled.scad>

chamfer(4,-2) tube(d=10,h=20,wall=2.5);

I can't compile Bobs code after including <constructive-compiled.scad>;
I get error messages of this

 WARNING: Too many unnamed arguments supplied in file

../.local/share/OpenSCAD/libraries/BOSL2/attachments.scad, line 3274

kind. I guess there is some naming ambiguities between BOSL and
constructive-compiled;

Cheers,
Marcus


OpenSCAD mailing list
To unsubscribe send an email to discuss-leave@lists.openscad.org


OpenSCAD mailing list
To unsubscribe send an email to discuss-leave@lists.openscad.org


OpenSCAD mailing list
To unsubscribe send an email to discuss-leave@lists.openscad.org


OpenSCAD mailing list
To unsubscribe send an email to discuss-leave@lists.openscad.org

It's not difficult at all, once openscad can do python. Having this ability it's just a matter of installing the buidl123d python-pip package and using it inside the openscad source window. (of course there were few other problems, but they are already cleared in my side) right now preparing an installation package and testing, how this works in windows ... On Thu, Nov 30, 2023 at 1:24 PM pproj--- via Discuss < discuss@lists.openscad.org> wrote: > WOW! > using cadquery from openscad sound more than awesome > how is build123 into openscad compiler? > I think there are tons of uses for it. > > On 30.11.23 12:48, Guenther Sohler via Discuss wrote: > > Yet another strategy would be to use build123d (cadquery) inside openscad > > With OpenCascade you can even create filltets AFTER the object was > already defined. > This allows for more sophisticated designs and less strategy how to > describe objects correctly ... > > https://imgur.com/a/KdZmaxG > > > > > On Thu, Nov 30, 2023 at 12:43 PM Adrian Mariano via Discuss < > discuss@lists.openscad.org> wrote: > >> Yeah, it seems unlikely there's any way to simultaneously use BOSL2 and >> constructive-compiled. >> >> Another strategy for making this in BOSL2 would be to make a U-shaped >> 2d-path and path extrude it along a rounded rect(). >> >> On Thu, Nov 30, 2023 at 6:26 AM Marcus Poller via Discuss < >> discuss@lists.openscad.org> wrote: >> >>> Hi Peter, >>> >>> > include <constructive-compiled.scad> >>> > >>> > chamfer(4,-2) tube(d=10,h=20,wall=2.5); >>> >>> I can't compile Bobs code after including <constructive-compiled.scad>; >>> I get error messages of this >>> >>> WARNING: Too many unnamed arguments supplied in file >>> ../.local/share/OpenSCAD/libraries/BOSL2/attachments.scad, line 3274 >>> >>> kind. I guess there is some naming ambiguities between BOSL and >>> constructive-compiled; >>> >>> Cheers, >>> Marcus >>> _______________________________________________ >>> OpenSCAD mailing list >>> To unsubscribe send an email to discuss-leave@lists.openscad.org >>> >> _______________________________________________ >> OpenSCAD mailing list >> To unsubscribe send an email to discuss-leave@lists.openscad.org >> > > _______________________________________________ > OpenSCAD mailing list > To unsubscribe send an email to discuss-leave@lists.openscad.org > > > _______________________________________________ > OpenSCAD mailing list > To unsubscribe send an email to discuss-leave@lists.openscad.org >